<script lang="ts">
    import { createEventDispatcher, onMount } from 'svelte'

    export let success: { id: number; message: string }

    const dispatch = createEventDispatcher()
    const TIMEOUT = 5000

    onMount(() => {
        setTimeout(() => {
            dispatch('click')
        }, TIMEOUT)
    })
</script>

<svelte:options immutable />

<div class="error">
    <div class="icon">
        <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24">
            <path
                stroke-linecap="round"
                stroke-linejoin="round"
                stroke-width="2"
                d="M9 12l2 2 4-4m6 2a9 9 0 11-18 0 9 9 0 0118 0z"
            />
        </svg>
    </div>
    <div class="body">
        <p class="title">
            {success.message}
        </p>
    </div>
    <div class="close">
        <button on:click>
            <span class="sr-label">Close</span>
            <svg fill="none" viewBox="0 0 24 24">
                <path
                    stroke="currentColor"
                    stroke-linecap="round"
                    stroke-linejoin="round"
                    stroke-width="1.5"
                    d="M17.25 6.75L6.75 17.25"
                />
                <path
                    stroke="currentColor"
                    stroke-linecap="round"
                    stroke-linejoin="round"
                    stroke-width="1.5"
                    d="M6.75 6.75L17.25 17.25"
                />
            </svg>
        </button>
    </div>
</div>

<style lang="postcss">
    .error {
        @apply w-full flex items-start bg-green-100 shadow-lg rounded-lg pointer-events-auto p-4 ring-1 ring-black ring-opacity-5 overflow-hidden;

        .icon {
            @apply flex-shrink-0;

            svg {
                @apply h-6 w-6 text-green-400;
            }
        }

        .body {
            @apply ml-3 w-0 flex-1 pt-0.5;

            .title {
                @apply text-sm font-medium text-gray-900;
            }
        }

        .close {
            @apply ml-4 flex-shrink-0 flex;

            button {
                @apply bg-transparent text-gray-800 rounded-md inline-flex;

                &:hover {
                    @apply text-gray-500;
                }
                &:focus {
                    @apply outline-none ring-2 ring-offset-2 ring-indigo-500;
                }

                .sr-label {
                    @apply sr-only;
                }

                svg {
                    @apply h-5 w-5;
                }
            }
        }
    }
</style>
